


$include (REG_MG82F6D64.INC)


PageP_SFR_Write		EQU	04h
PageP_SFR_Read		EQU	05h

ISP_ENABLE		EQU	80h
ISP_DISABLE		EQU	00h

;Ctrl_MCU

data_ISP_CTRL SEGMENT DATA
         RSEG   data_ISP_CTRL
var0:		DS	1
var1:		DS	1
var2:		DS	1
var3:		DS	1




	CSEG	AT	0000h
	JMP	Start
			ORG	23H
			JMP	UART0_INT
			ORG	73H
			JMP	UART1_INT	
			ORG	0A3H
			JMP	UART2_INT				
			ORG	0B3H
			JMP	UART3_INT	



code_main	SEGMENT CODE
	RSEG	code_main
	USING	0

Start:
			MOV 	SP,#60H
			ORL		CKCON0,#AFS             ;Clock=11.0592M ,IHRCO
			CALL 	INIT_IO
			CALL    UART0_INIT
			CALL    UART1_INIT		
			CALL    UART2_INIT		
			CALL    UART3_INIT	
            CALL    ADC_INIT						
			CALL	INIT_INT
			SETB	EA						;ENABLE ALL INT
			CALL    READADC
			JMP $
INIT_IO:
            MOV		P3M0,#00H					; Quasi P30=RXD0, P32=RXD2, P36=RXD3,
			ORL     P3M1,#(P3M11+P3M13+P3M15+P3M17)   ; Push pull P31=TXD0, P33=TXD2,P35=TXD1, P37=TXD3
;			ORL     P1M0,#(P1M02+P1M03)
			MOV     SFRPI,#04H
			ANL     P1M1,#(~P1M13)              ; P12=RXD1 O.D pull high,P13=TXD1 
			MOV		SFRPI,#0
			RET 
ADC_INIT:	
            ORL		ADCON0,#ADCEN				;ENABLE ADC
			ANL		ADCFG0,#(~(ADCKS0|ADCKS1|ADCKS2))	;ADCCLOCK = SYSCLK =11.0592M  SPS=11.0592M/30
			MOV		SFRPI,#4
			ANL		ADCFG4,#(~(ADTM3|ADTM2))
			MOV		SFRPI,#0
			ANL		ADCFG0,#(~(ADTM0|ADTM1))	;ADC Trigger mode: set ADCS
			MOV		SFRPI,#3
			ANL		ADCFG3,#(~(ARES1|ARES0))	;ADC Data resolution: 12bit	
			MOV		SFRPI,#0
			ORL		ADCFG0,#(ADRJ)				;ADC Right-Justified	
			RET	
READADC:
            ANL		ADCON0,#0C8H				; ADC_CH = CH0 (P10)
			ORL		ADCON0,#ADCS				;set ADCS,Start ADC
WAIT_ADC:
			MOV		A,ADCON0
			JNB		ACC.4,WAIT_ADC				;wait ADC complete
			ANL		ADCON0,#(~ADCI)				;clear ADCI flag
			MOV		S0BUF,ADCDH
			MOV		S0BUF,ADCDL
			RET
UART0_INIT:
            ORL		S0CFG,#SMOD3				; Enable access S0CR1
			ANL     S0CFG,#(~SM30)
			CLR     SM00_FE
			SETB	SM10						; UART0 Mode: 8-bit, Variable B.R.
			SETB	REN0						; Enable reception
			ORL		S0CR1,#(S0TCK+S0RCK)		;  B.R. source: S0BRG
			ANL		PCON0,#(~SMOD1)
			ORL     S0CFG,#SMOD2				;S0BRG x2			
			ORL		S0CR1,#S0TX12				;S0BRG clock source: SYSCLK
			MOV     SFRPI,#07
			ANL		AUXR10,#(~S0PS1)
			MOV		SFRPI,#0
			ANL		AUXR3,#(~S0PS0)				;SELECT P30 P31 FOR UART0
			MOV		S0BRT,#0B8H
			MOV		S0BRC,#0B8H					;Baud Rate 9600 @11.0592M 
			ORL		S0CR1,#S0TR					; Enable S0BRG
            RET			
UART1_INIT:
			MOV		SFRPI,#01
			ANL     S1CFG,#(~SM31)
			CLR     SM01
			SETB	SM11						; UART1 Mode: 8-bit, Variable B.R.
			ORL     S1CFG,#S1MOD1				; S1BRG x2	
			ORL     S1CFG,#S1TX12				; S1BRG clock source: SYSCLK
			SETB	REN1
			MOV		S1BRT,#0B8H
			MOV		S1BRC,#0B8H					; Baud Rate 9600 @11.0592M 			
			ORL		S1CFG,#S1TR					; Enable S1BRG
			MOV		SFRPI,#06
			ORL     AUXR9,#(S1PS1+S1PS0)
			MOV     SFRPI,#0
			RET
UART2_INIT:
			MOV		SFRPI,#03
			ANL     S2CFG,#(~SM32)
			CLR     SM02
			SETB	SM12						; UART2 Mode: 8-bit, Variable B.R.
			ORL     S2CFG,#S2MOD1				; S2BRG x2	
			ORL     S2CFG,#S2TX12				; S2BRG clock source: SYSCLK
			SETB	REN2
			MOV		S2BRT,#0B8H
			MOV		S2BRC,#0B8H					; Baud Rate 9600 @11.0592M 			
			ORL		S2CFG,#S2TR					; Enable S2BRG
			MOV		SFRPI,#10
			ANL     AUXR13,#(~S2PS0)
			MOV     SFRPI,#0
			RET
UART3_INIT:
			MOV		SFRPI,#04
			ANL     S3CFG,#(~SM33)
			CLR     SM03
			SETB	SM13						; UART3 Mode: 8-bit, Variable B.R.
			ORL     S3CFG,#S3MOD1				; S3BRG x2	
			ORL     S3CFG,#S3TX12				; S3BRG clock source: SYSCLK
			SETB	REN3
			MOV		S3BRT,#0B8H
			MOV		S3BRC,#0B8H					; Baud Rate 9600 @11.0592M 			
			ORL		S3CFG,#S3TR					; Enable S3BRG
			MOV		SFRPI,#10
			ANL     AUXR13,#(~S3PS0)
			MOV     SFRPI,#0
			RET
INIT_INT:
			SETB	ES0							;ENABLE UART0 INT
			ORL     EIE1,#ES1					;ENABLE UART1 INT
			ORL     EIE2,#ES2					;ENABLE UART2 INT	
			ORL     EIE2,#ES3					;ENABLE UART3 INT				
			RET
UART0_INT:
            PUSH    SFRPI
			JNB		TI0,URT0_REV
			CLR		TI0
			POP		SFRPI
			RETI
URT0_REV:			
			CLR		RI0
			MOV     S0BUF,S0BUF
			POP		SFRPI			
			RETI
UART1_INT:
            PUSH    SFRPI
			MOV		SFRPI,#1
			JNB		TI1,URT1_REV
			CLR		TI1
			POP		SFRPI
			RETI
URT1_REV:			
			CLR		RI1
			MOV     S1BUF,S1BUF
			POP		SFRPI			
			RETI	
UART2_INT:
            PUSH    SFRPI
			MOV		SFRPI,#3
			JNB		TI2,URT2_REV
			CLR		TI2
			POP		SFRPI
			RETI
URT2_REV:			
			CLR		RI2
			MOV     S2BUF,S2BUF
			POP		SFRPI			
			RETI	
UART3_INT:
            PUSH    SFRPI
			MOV		SFRPI,#4
			JNB		TI3,URT3_REV
			CLR		TI3
			POP		SFRPI
			RETI
URT3_REV:			
			CLR		RI3
			MOV     S3BUF,S3BUF
			POP		SFRPI			
			RETI									
			END
